%define momorel 1
%global md5sum_src0 f0164d98f79b10f35769a62b114885af
Summary: 	A C++ interface for the libxml++
Name: 		libxml++
Version: 2.18.1
Release: %{momorel}m%{?dist}
License: 	LGPL
Group: 		System Environment/Libraries
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.18/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: 		http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: glibmm-devel
BuildPrereq: libxml2-devel

%description
This library provides a C++ interface to XML files.  It uses
libxml 2 to access the XML files, and in order to
configure libxml++ you must have both libxml and pkg-config installed.

%package	devel
Summary: 	Headers for developing programs that will use Gtk--.
Group: 		Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires:	libsigc++-devel
Requires:	glibmm-devel
Requires:	libxml2-devel

%description    devel
libxml++ devel

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/lib*.so.*

%files  devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libxml++-2.6
%{_libdir}/libxml++-2.6/include/libxml++config.h
%{_datadir}/doc/libxml++-2.6

%changelog
* Mon Jun 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-2m)
- To Main

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.2-1m)
- update to 2.17.2 (unstable)

* Sun Dec 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.0-1m)
- initial build
- TO.Alter
